Package uk.ac.starlink.topcat

## Interface UrlInvoker

-     public interface UrlInvoker

  Defines an action that consumes a URL.
  Since:
    6 Feb 2018
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Safety` | `getSafety()` | Returns the safety status of invoking an unknown URL in this way.
    `java.lang.String` | `getTitle()` | Returns a short name for this type of invocation.
    `Outcome` | `invokeUrl​(java.net.URL url)` | Consumes the URL corresponding to the row to perform the activation action.

- - ### Method Detail

    - #### getTitle

          java.lang.String getTitle()

      Returns a short name for this type of invocation.
      Returns:
        title

    - #### invokeUrl

          Outcome invokeUrl​(java.net.URL url)

      Consumes the URL corresponding to the row to perform the activation action.

      This method is executed on a non-EDT thread.

      Parameters:
        `url` - URL
      Returns:
        outcome

    - #### getSafety

          Safety getSafety()

      Returns the safety status of invoking an unknown URL in this way.
      Returns:
        safety